summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorjan.nijtmans <nijtmans@users.sourceforge.net>2021-05-22 12:56:53 (GMT)
committerjan.nijtmans <nijtmans@users.sourceforge.net>2021-05-22 12:56:53 (GMT)
commit3502578a9c66406f117d2c11b1491c7dec38ec50 (patch)
tree3de4e130306f9b67f3f34a4ee27d714ad94b40fb /.github
parent7ebff6f71ceab32e2a821bd48f09fd6a2b446eff (diff)
parent69975072cb8e9bec68d034b4a7a12ad04533724c (diff)
downloadtk-3502578a9c66406f117d2c11b1491c7dec38ec50.zip
tk-3502578a9c66406f117d2c11b1491c7dec38ec50.tar.gz
tk-3502578a9c66406f117d2c11b1491c7dec38ec50.tar.bz2
Merge mac_workflow branch
Diffstat (limited to '.github')
-rw-r--r--.github/workflows/mac-build.yml5
1 files changed, 2 insertions, 3 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml
index acc063a..07a7431 100644
--- a/.github/workflows/mac-build.yml
+++ b/.github/workflows/mac-build.yml
@@ -34,7 +34,7 @@ jobs:
# This involves black magic
run: |
brew install --cask xquartz
- sudo /opt/X11/lib/X11/xinit/privileged_startx.d/10-tmpdirs || true
+ sudo /opt/X11/libexec/privileged_startx || true
- name: Configure (symbols=${{ matrix.symbols }} ${{matrix.options }})
# Note that macOS is always a 64 bit platform
run: |
@@ -59,7 +59,6 @@ jobs:
Xvfb $1 &
XVFB_PID=$!
echo Launched Xvfb $1 as process $XVFB_PID >&2
- trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID" 0
export DISPLAY=$1
sleep 2
}
@@ -73,7 +72,7 @@ jobs:
exit 1
}
cat out.txt | grep -q "Failed [1-9]" && {
- echo "::error::Failure during Test"
+ echo "::error::Failure in test results"
exit 1
}
env: